package org.jboss.example;

import javax.inject.Inject;
import javax.persistence.EntityManager;
import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.CriteriaUpdate;
import javax.persistence.criteria.Root;
import javax.ws.rs.Path;

import org.jboss.example.bean.User;

@Path("jpa")
public class Persistence {

//	@Inject
	EntityManager em;
	
	public Persistence() {
	}
	
	@Path("criteria")
	public String criteria() {
		CriteriaBuilder cb = em.getCriteriaBuilder();
		CriteriaUpdate<User> upd = cb.createCriteriaUpdate(User.class);
		Root<User> user = upd.from(User.class);
		upd.set("name", "NULL").where(cb.isNull(user.get("name")));
		return "OK";
	}
}
