package org.jboss.example;

import javax.annotation.Resource;
import javax.transaction.Status;
import javax.transaction.TransactionManager;
import javax.transaction.Transactional;
import javax.ws.rs.GET;
import javax.ws.rs.Path;

@Path("transaction")
public class Transacted {

	@Resource(mappedName = "java:/TransactionManager")
	TransactionManager tx;
	
	@GET
	@Transactional(Transactional.TxType.NEVER)
	public String transactional() throws Exception {
		return ((Integer)tx.getStatus()).toString() + " == " + Status.STATUS_ACTIVE;
	}
}
